##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#
# Handling name of the Root Dictionary Files
#
CINT  = Jobs

#
# Library name to creatre
#
LIB   = mjobs.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mgui -I../mgeom -I../mdata -I../mhbase \
	   -I../mfileio -I../mfilter -I../manalysis -I../mhist -I../mcalib \
           -I../mbadpixels -I../msignal

#manalysis: MChisqEval (MParameters)

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MJPedestal.cc \
           MJCalibration.cc \
           MJExtractSignal.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

